# This file is in the public domain
libanastasiseufin = library(
    'anastasiseufin',
    ['lae_common.c', 'lae_credit.c', 'lae_parse.c'],
    soversion: solibversions['libanastasiseufin']['soversion'],
    version: solibversions['libanastasiseufin']['soversion'],
    install_rpath: rpath_option,
    dependencies: [
        talerjson_dep,
        talercurl_dep,
        talerutil_dep,
        gnunetcurl_dep,
        gnunetutil_dep,
        gnunetjson_dep,
        json_dep,
        curl_dep,
    ],
    include_directories: [incdir, configuration_inc],
    install: true,
    install_dir: get_option('libdir'),
)

libanastasiseufin_dep = declare_dependency(link_with: libanastasiseufin)
pkg.generate(
    libanastasiseufin,
    url: 'https://taler.net',
    description: 'GNU Taler anastasis eufin utilities library',
)


